
package com.tmerclub.cloud.distribution.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 分销员推广订单对象
 *
 * @author Citrus
 * @date 2021/8/19 15:27
 */
public class DistributionUserIncomeOrderVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单id")
    private Long orderId;

    @Schema(description = "收入金额")
    private Double incomeAmount;

    @Schema(description = "实际支付")
    private Long actualTotal;

    @Schema(description = "订单状态(0:待支付 1:待结算 2:已结算 -1:订单失效)")
    private Integer state;

    @Schema(description = "订单项id")
    private Long orderItemId;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "商品价格")
    private Long price;

    @Schema(description = "商品图片")
    private String pic;

    @Schema(description = "商品数量")
    private Integer spuCount;

    @Schema(description = "规格名称")
    private String skuName;

    @Schema(description = "失效原因(0正常，1佣金为0订单失效，2订单项退款)")
    private Integer reson;

    public Integer getReson() {
        return reson;
    }

    public void setReson(Integer reson) {
        this.reson = reson;
    }


    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Double getIncomeAmount() {
        return incomeAmount;
    }

    public void setIncomeAmount(Double incomeAmount) {
        this.incomeAmount = incomeAmount;
    }

    public Long getActualTotal() {
        return actualTotal;
    }

    public void setActualTotal(Long actualTotal) {
        this.actualTotal = actualTotal;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Long getOrderItemId() {
        return orderItemId;
    }

    public void setOrderItemId(Long orderItemId) {
        this.orderItemId = orderItemId;
    }

    public Long getPrice() {
        return price;
    }

    public void setPrice(Long price) {
        this.price = price;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public Integer getSpuCount() {
        return spuCount;
    }

    public void setSpuCount(Integer spuCount) {
        this.spuCount = spuCount;
    }

    @Override
    public String toString() {
        return "DistributionUserIncomeOrderVO{" +
                "orderId=" + orderId +
                ", incomeAmount=" + incomeAmount +
                ", actualTotal=" + actualTotal +
                ", state=" + state +
                ", orderItemId=" + orderItemId +
                ", spuName='" + spuName + '\'' +
                ", price=" + price +
                ", pic='" + pic + '\'' +
                ", spuCount=" + spuCount +
                ", skuName='" + skuName + '\'' +
                ", reson=" + reson +
                '}';
    }
}
